### File

`packages/components/testing/mocks/ux-app-shell-service.mock.ts`

### Index

###### Properties

- appRouter
- breakpoints$
- breakpointSubject
- state$

###### Methods

- consumeEvent
- getState

### Properties

appRouter
Type : `object`
Default value : `{ navigate: (url): string => url, }`

breakpoints$
Type : `Observable<string>`
Default value : `this.breakpointSubject.asObservable()`

breakpointSubject
Type : `BehaviorSubject<string>`
Default value : `new BehaviorSubject('')`

state$
Type : `Observable<any>`
Default value : `of({})`

### Methods

consumeEvent
`consumeEvent()`
Returns : `void`

getState
`getState()`
Returns : `Observable<any>`

# results matching ""

# No results matching ""